### Hierarchy

- Request

### Implements

- IRequest

## Index

### Constructors

- constructor

### Properties

- _cache
- _data
- _headers
- _json
- _method
- _overrideLock
- _params
- _reponse_type
- _url
- config
- uuid

### Accessors

- CACHE
- DATA
- HEADERS
- JSON
- METHOD
- OVERRIDE_LOCK
- PARAMS
- RESPONSE_TYPE
- URL

### Methods

- cache
- data
- headers
- json
- method
- overrideLock
- params
- responseType
- url
- del
- get
- post
- put

### Object literals

- xipp

## Constructors

### constructor

- new Request(method: string, url: string): Request

- - Defined in Api.ts:151

  #### Parameters

  - ##### method: string

  - ##### url: string

  #### Returns Request

## Properties

### Private _cache

_cache: boolean = false

- Defined in Api.ts:132

### Private _data

_data: any

- Defined in Api.ts:130

### Private _headers

_headers: object

- Defined in Api.ts:129

#### Type declaration

- ##### [s: string]: string

### Private _json

_json: boolean = true

- Defined in Api.ts:134

### Private _method

_method: string

- Defined in Api.ts:127

### Private _overrideLock

_overrideLock: boolean = false

- Defined in Api.ts:133

### Private _params

_params: any

- Defined in Api.ts:131

### Private _reponse_type

_reponse_type: string = ""

- Defined in Api.ts:135

### Private _url

_url: string

- Defined in Api.ts:128

### Static config

config: IConfig

- Defined in Api.ts:120

### Static uuid

uuid: string

- Defined in Api.ts:119

## Accessors

### CACHE

- get CACHE(): boolean

- - Defined in Api.ts:187

  #### Returns boolean

### DATA

- get DATA(): any

- - Defined in Api.ts:181

  #### Returns any

### HEADERS

- get HEADERS(): object

- - Defined in Api.ts:178

  #### Returns object

  - ##### [s: string]: string

### JSON

- get JSON(): boolean

- - Defined in Api.ts:193

  #### Returns boolean

### METHOD

- get METHOD(): string

- - Defined in Api.ts:172

  #### Returns string

### OVERRIDE_LOCK

- get OVERRIDE_LOCK(): boolean

- - Defined in Api.ts:190

  #### Returns boolean

### PARAMS

- get PARAMS(): object

- - Defined in Api.ts:184

  #### Returns object

  - ##### [s: string]: string

### RESPONSE_TYPE

- get RESPONSE_TYPE(): string

- - Defined in Api.ts:196

  #### Returns string

### URL

- get URL(): string

- - Defined in Api.ts:175

  #### Returns string

## Methods

### cache

- cache(cache: boolean): Request

- - Defined in Api.ts:233

  #### Parameters

  - ##### cache: boolean

  #### Returns Request

### data

- data(data: any, serialize?: boolean): Request

- - Defined in Api.ts:215

  #### Parameters

  - ##### data: any

  - ##### Default value serialize: boolean = false

  #### Returns Request

### headers

- headers(headers: object, overwrite?: boolean): Request

- - Defined in Api.ts:210

  #### Parameters

  - ##### headers: object

    - ##### [s: string]: string | number

  - ##### Default value overwrite: boolean = false

  #### Returns Request

### json

- json(json?: boolean): Request

- - Defined in Api.ts:247

  #### Parameters

  - ##### Default value json: boolean = true

  #### Returns Request

### method

- method(method: string): Request

- - Defined in Api.ts:200

  #### Parameters

  - ##### method: string

  #### Returns Request

### overrideLock

- overrideLock(override?: boolean): Request

- - Defined in Api.ts:242

  #### Parameters

  - ##### Default value override: boolean = true

  #### Returns Request

### params

- params(params: object, overwrite?: boolean): Request

- - Defined in Api.ts:228

  #### Parameters

  - ##### params: object

    - ##### [s: string]: string | number

  - ##### Default value overwrite: boolean = false

  #### Returns Request

### responseType

- responseType(str?: string): Request

- - Defined in Api.ts:252

  #### Parameters

  - ##### Default value str: string = ""

  #### Returns Request

### url

- url(url: string): Request

- - Defined in Api.ts:205

  #### Parameters

  - ##### url: string

  #### Returns Request

### Static del

- del(url: string): Request

- - Defined in Api.ts:149

  #### Parameters

  - ##### url: string

  #### Returns Request

### Static get

- get(url: string): Request

- - Defined in Api.ts:137

  #### Parameters

  - ##### url: string

  #### Returns Request

### Static post

- post(url: string): Request

- - Defined in Api.ts:141

  #### Parameters

  - ##### url: string

  #### Returns Request

### Static put

- put(url: string): Request

- - Defined in Api.ts:145

  #### Parameters

  - ##### url: string

  #### Returns Request

## Object literals

### Static xipp

xipp: object

- Defined in Api.ts:121

### client

client: string = ""

- Defined in Api.ts:123

### clientVersion

clientVersion: string = ""

- Defined in Api.ts:124

### hsts

hsts: boolean = true

- Defined in Api.ts:125

### uuid

uuid: string = ""

- Defined in Api.ts:122

Generated using TypeDoc